> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Match Booster enrichment runs

> List Match Booster enrichment runs for a model, most recent first.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /models/{modelId}/match-booster/runs
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /models/{modelId}/match-booster/runs:
    get:
      summary: List Match Booster enrichment runs
      description: List Match Booster enrichment runs for a model, most recent first.
      operationId: ListEnrichmentRuns
      parameters:
        - description: The id of the model
          in: path
          name: modelId
          required: true
          schema:
            type: number
            format: double
        - description: Filter runs to a Match Booster region
          in: query
          name: region
          required: false
          schema:
            type: string
            enum:
              - us
              - eu
        - description: limit the number of objects returned (default is 100)
          in: query
          name: limit
          required: false
          schema:
            default: 100
            format: double
            type: number
        - description: set the offset on results (for pagination)
          in: query
          name: offset
          required: false
          schema:
            default: 0
            format: double
            type: number
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ListMatchBoosterRunsOutput'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
              examples:
                Example 1:
                  value:
                    data:
                      - id: 715eba82-2097-4c1b-91c0-ae7c279c763a
                        status: success
                        region: us
                        error: null
                        enrichedRows: 100000
                        isFullEnrichment: false
                        durationMs: 360000
                        enrichedAt: '2026-08-19T00:00:00.000Z'
                    hasMore: false
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
        '500':
          description: Something went wrong
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    ListMatchBoosterRunsOutput:
      description: >-
        The output of a request to list Match Booster enrichment runs for a
        model.
      properties:
        data:
          items:
            $ref: '#/components/schemas/MatchBoosterRun'
          type: array
        hasMore:
          type: boolean
      required:
        - data
        - hasMore
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
    MatchBoosterRun:
      description: A completed Match Booster enrichment run.
      properties:
        id:
          type: string
          description: The id of the enrichment run.
        status:
          type: string
        region:
          type: string
          description: The Match Booster region the enrichment ran in.
        error:
          type: string
          nullable: true
          description: If available, the error associated with a failed run.
        enrichedRows:
          type: number
          format: double
          nullable: true
          description: The number of rows enriched during the run.
        isFullEnrichment:
          type: boolean
          nullable: true
          description: Whether the run enriched all rows or only new/changed rows.
        durationMs:
          type: number
          format: double
          nullable: true
          description: The duration of the enrichment in milliseconds.
        enrichedAt:
          type: string
          format: date-time
          description: Timestamp of the run's completion.
      required:
        - id
        - status
        - region
        - error
        - enrichedRows
        - isFullEnrichment
        - durationMs
        - enrichedAt
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````